package koropeta.gui.surfaceeditor.animation;

public final class PlayerEvent {
    public static final int BEGAN_ALL = 0;
    public static final int ENDED_ALL = 1;
    public static final int BEGAN_GROUP = 2;
    public static final int ENDED_GROUP = 3;
    public static final int CHANGED_PATTERN = 4;
    
    Player player;
    int type;
    int group_id;
    int pattern_id;

    /*
      FIXME: 引數のデフォルト値はJava 1.5で使へるやうになったんだっけか。
    */
    public PlayerEvent(Player player, int type) {
	this.player = player;
	this.type = type;
    }
    public PlayerEvent(Player player, int type, int group_id) {
	this.player = player;
	this.type = type;
	this.group_id = group_id;
    }
    public PlayerEvent(Player player, int type, int group_id, int pattern_id) {
	this.player = player;
	this.type = type;
	this.group_id = group_id;
	this.pattern_id = pattern_id;
    }

    public Player player() { return player; }
    public int type() { return type; }
    public int group_id() { return group_id; }
    public int pattern_id() { return pattern_id; }
}