package koropeta.gui;
import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;

public class JCheckBoxTableCellRenderer
    extends JCheckBox
    implements TableCellRenderer {
    
    public JCheckBoxTableCellRenderer() {
	
    }
    
    public Component getTableCellRendererComponent(
	JTable table, Object value, boolean isSelected,
	boolean hasFocus, int row, int column) {
	
	if (isSelected) {
	    setForeground(table.getSelectionForeground());
	    setBackground(table.getSelectionBackground());
	} else {
	    setForeground(table.getForeground());
	    setBackground(table.getBackground());
	}

	Boolean val = (Boolean)value;
	setSelected(val != null && val.booleanValue());
	
	return this;
    }
}