package koropeta.gui;
import koropeta.core.*;
import java.io.*;
import java.util.*;
import java.util.regex.*;
import javax.swing.filechooser.*;

public class PngFileFilter extends javax.swing.filechooser.FileFilter {
    static final Pattern re_png = Pattern.compile(
	"^.+?\\.png$", Pattern.CASE_INSENSITIVE);
    
    /*
      FIXME: 基本サーフィス撰擇時、同じバンドル内のファイルを
      撰擇出來てはいけないかも知れない？
    */
    
    public PngFileFilter() {
    }

    public boolean accept(File f) {
	return f.isDirectory() ||
	    re_png.matcher(f.getName()).find();
    }

    public String getDescription() {
	return "PNG";
    }
}